local AddonName, a = ...
if a.BuildFail(50000) then return end
local L = a.Localize
local s = SpellFlashAddon
local c = BittensSpellFlashLibrary

local config = {}
config.event = {}

config.CheckButtonOptions = {
	LeftCheckButton1 = {
		DefaultChecked = true,
		ConfigKey = "arcane_off",
		Label = L["Flash Arcane"],
	},
	LeftCheckButton2 = {
		DefaultChecked = true,
		ConfigKey = "fire_off",
		Label = L["Flash Fire"],
	},
	LeftCheckButton3 = {
		DefaultChecked = true,
		ConfigKey = "frost_off",
		Label = L["Flash Frost"],
	},
	LeftCheckButton5 = {
		DefaultChecked = true,
		ConfigKey = "solo_off",
		Label = L["Solo Mode when not Grouped"],
	},
	RightCheckButton2 = {
		DefaultChecked = true,
		ConfigKey = "hide_BCM",
		Label = L["Show Combustion Monitor"],
	},
}

config.EditBoxOptions = {
--	LeftEditBox1 = {
--		DefaultValue = "92",
--		Numeric = true,
--		MaxCharacters = 2,
--		ConfigKey = "cap_percent",
--		Label = L["Arcane Blast over % mana:"],
--	},
--	RightEditBox1 = {
--		DefaultValue = "85",
--		Numeric = true,
--		MaxCharacters = 3,
--		ConfigKey = "barrage_percent",
--		Label = L["Arcane Barrage below % mana:"],
--	},
--	LeftEditBox2 = {
--		DefaultValue = "20",
--		Numeric = true,
--		MaxCharacters = 3,
--		ConfigKey = "burn_length",
--		Label = L["Length of burn phase:"],
--	},
	LeftEditBox1 = {
		DefaultValue = "80000",
		Numeric = true,
		MaxCharacters = 7,
		ConfigKey = "combust_at",
		Label = L["Minumum Combustion total damage:"],
	},
}

a.LoadConfigs(config)
